## ptouch-print 1.5

=== debian/changelog ===
ptouch-print (1.5-2) trixie; urgency=medium

  * Adds chain mode

 -- Shirkanesi <shirkanesi@shirkanesi.com>  Sun, 23 Jun 2024 09:13:27 +0000

ptouch-print (1.5-1) fsmi-bookworm; urgency=medium

  * Initial release.

 -- Shirkanesi <shirkanesi@shirkanesi.com>  Thu, 21 Dec 2023 10:01:08 +0000
