=== debian/control ===
Source: ptouch-print
Section: misc
Priority: optional
Maintainer: Shirkanesi <shirkanesi@shirkanesi.com>
Build-Depends: debhelper-compat (= 13), libusb-1.0-0-dev, libgd-dev, gettext, cmake, git
Standards-Version: 4.6.2
Rules-Requires-Root: binary-targets
Vcs-Git: https://git.familie-radermacher.ch/linux/ptouch-print.git
Vcs-Browser: https://git.familie-radermacher.ch/linux/ptouch-print.git
Homepage: https://git.familie-radermacher.ch/linux/ptouch-print.git

Package: ptouch-print
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}
# , libusb-1.0-0, libgd3
# Depends: perl, libnet-ip-perl, libnet-dns-perl, libio-socket-ip-perl,
#  iproute2, iptables, tayga, systemd, ${perl:Depends}, ${misc:Depends}
Description: Print on brother ptouch without using cups
 ptouch-print is a command line tool to print labels on Brother P-Touch
 printers on Linux.
 .
 There is no need to install the printer via CUPS, the printer is accessed
 directly via libusb.
