## ptouch-print 1.5+20

=== debian/changelog ===
ptouch-print (1.5+20) stable; urgency=medium

  * Initial release.

 -- Jan Baier <jan.baier@amagical.net>  Wed, 03 Apr 2024 12:10:54 +0200
