=== debian/control ===
Source: ptouch-print
Section: text
Priority: optional
Maintainer: Jan Baier <jan.baier@amagical.net>
Build-Depends:
    cmake,
    debhelper (>= 13),
    debhelper-compat (= 13),
    gettext,
    git,
    libgd-dev,
    libjpeg62-turbo-dev,
    libpng-dev,
    libusb-1.0-0-dev,
    pkg-config,
    zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no

Package: ptouch-print
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Print labels on Brother P-touch printers on Linux
 ptouch-print is a command line tool to print labels on Brother P-Touch
 printers on Linux.
 .
 There is no need to install the printer via CUPS, the printer is accessed
 directly via libusb.
 .
 The tool was written for and tested with the PT-2430PC, but meanwhile is also
 used with others (see "ptouch-print --list-supported")
