=== debian/changelog ===
ptouch-print (1.5+27) stable; urgency=medium

  * Update to 9cae7f4

 -- Jan Baier <jan.baier@amagical.net>  Wed, 14 Aug 2024 11:22:39 +0200
